
QGIS Application - Bug report #2674

wms getfeatureinfo does not work against geoserver

2010-04-23 09:32 AM - zicke -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12734

Description

The WMS [[GetFeatureInfo]] request against [[GeoServer]] does not work. It returns: "Layer catais%3Acontrol_point does not exist".

The request url written in the debug messages does work when copy/pasted into Firefox.

Associated revisions

Revision 4b471ee8 - 2010-06-30 08:25 AM - Jürgen Fischer

fix #2674

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13849 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 3efd24b0 - 2010-06-30 08:25 AM - Jürgen Fischer

fix #2674

git-svn-id: http://svn.osgeo.org/qgis/trunk@13849 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-06-18 01:55 AM - Marco Hugentobler

Could you provide an example service url? (Solothurn streetmap does not provide [[GetFeatureInfo]])

#2 - 2010-06-29 10:59 PM - zicke -

Here we go:

http://www.catais.org/geoserver/wms

try the catais:control_point layer.

#3 - 2010-06-29 11:26 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
fixed in commit:3efd24b0 (SVN r13850).
